﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CreditDemo.Model
{
    public abstract class JsonBase
    {
        public static T Parse<T>(string jsonObj)
        {
            return Kingdee.BOS.JSON.KDObjectConverter.DeserializeObject<T>(jsonObj);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public virtual string ToJson()
        {
            var obj = Kingdee.BOS.JSON.KDObjectConverter.SerializeObject(this);
            return obj;
        }
    }
    /// <summary>
    /// 
    /// </summary>
    public class CollectionBase<T> : JsonBase
    {
        public CollectionBase()
        {
            this.List = new List<T>();
        }
        public List<T> List { get; set; }
        /// <summary>
        /// 总记录数
        /// </summary>
        public long TotalRecords { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="item"></param>
        public void Add(T item)
        {
            this.List.Add(item);
        }
    }
}
