﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CreditDemo.Model
{
    /// <summary>
    /// 身份证图片认证请求输入
    /// </summary>
    public class IDCImageInputModel : JsonBase
    {
        /// <summary>
        /// 值为 true 时，对图片进行自动旋转
        /// </summary>
        public string autoRotate { get; set; }
        /// <summary>
        /// 身份证图片，base64类型
        /// 例：data:image/jpeg;base64,******（*号为身份证图片转换的base64字符串）
        /// </summary>
        public string base64 { get; set; }
        public string client_id { get; set; }
        public string client_secret { get; set; }
    }

    public class IDCImageInputModelWithSign : JsonBase
    {
        public string autoRotate { get; set; }
        public string base64 { get; set; }
        public string client_id { get; set; }
        public string client_secret { get; set; }
        public string sign { get; set; }      
    }
}
